Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.property.servlets.jsp.taglib
Class GetPropertySetNamesTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
                  |
                  +--com.bea.p13n.property.servlets.jsp.taglib.ResultTag
                        |
                        +--com.bea.p13n.property.servlets.jsp.taglib.GetPropertySetNamesTag

public class GetPropertySetNamesTag
extends ResultTag

See the WLPS tag documentation for attributes and result values.

See Also:
  Serialized Form

Fields inherited from class com.bea.p13n.property.servlets.jsp.taglib.ResultTag
`result`

Fields inherited from class com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
`PROPERTY_SET_MGR_REF`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`GetPropertySetNamesTag()`

Method Summary
`int` | `doStartTag()` Retrieve a list of property set names from the property set manager session bean.
`java.lang.String` | `getPropertySetType()` Get the property set type to query for
`void` | `release()` Reset all tag attributes.
`void` | `setPropertySetType(java.lang.String s)` Set the property set type to query for

Methods inherited from class com.bea.p13n.property.servlets.jsp.taglib.ResultTag
`getResult, setResult`

Methods inherited from class com.bea.p13n.property.servlets.jsp.taglib.PropertyTag
`getPropertySetManager`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, doEndTag, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetPropertySetNamesTag

    public GetPropertySetNamesTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Retrieve a list of property set names from the property set manager session bean.

  Overrides:
    doStartTag in class javax.servlet.jsp.tagext.TagSupport

### release

    public void release()

  Reset all tag attributes.

  Overrides:
    release in class ResultTag

### setPropertySetType

    public void setPropertySetType(java.lang.String s)

  Set the property set type to query for

### getPropertySetType

    public java.lang.String getPropertySetType()

  Get the property set type to query for

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved